package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItembuygiftAdditemRequest struct {
	/*
	   商品对象     */
	Param0 *domain.AlibabaHmMarketingItembuygiftAdditemItemBuyGiftSku `json:"param0" required:"true" `
	/*
	   活动基本信息     */
	Param1 *domain.AlibabaHmMarketingItembuygiftAdditemCommonActivityParam `json:"param1" required:"true" `
}

func (s *AlibabaHmMarketingItembuygiftAdditemRequest) SetParam0(v domain.AlibabaHmMarketingItembuygiftAdditemItemBuyGiftSku) *AlibabaHmMarketingItembuygiftAdditemRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftAdditemRequest) SetParam1(v domain.AlibabaHmMarketingItembuygiftAdditemCommonActivityParam) *AlibabaHmMarketingItembuygiftAdditemRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaHmMarketingItembuygiftAdditemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItembuygiftAdditemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
